# Uses of Interface
com.opensymphony.module.sitemesh.DecoratorMapper

Packages that use DecoratorMapper
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.factory
com.opensymphony.module.sitemesh.mapper
com.opensymphony.module.sitemesh.taglib.page
com.opensymphony.module.sitemesh.velocity
com.opensymphony.sitemesh.compatability

## Uses of DecoratorMapper in com.opensymphony.module.sitemesh

Methods in com.opensymphony.module.sitemesh that return DecoratorMapper
Modifier and Type
Method
Description
`abstract DecoratorMapper`
Factory.`getDecoratorMapper()`
Return instance of DecoratorMapper.
Methods in com.opensymphony.module.sitemesh with parameters of type DecoratorMapper
Modifier and Type
Method
Description
`void`
DecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Initialize the mapper.

## Uses of DecoratorMapper in com.opensymphony.module.sitemesh.factory

Fields in com.opensymphony.module.sitemesh.factory declared as DecoratorMapper
Modifier and Type
Field
Description
`protected DecoratorMapper`
BaseFactory.`decoratorMapper`
Instance of `DecoratorMapper`.
Methods in com.opensymphony.module.sitemesh.factory that return DecoratorMapper
Modifier and Type
Method
Description
`DecoratorMapper`
BaseFactory.`getDecoratorMapper()`
Return instance of DecoratorMapper.
`protected DecoratorMapper`
BaseFactory.`getDecoratorMapper(Class decoratorMapperClass)`

## Uses of DecoratorMapper in com.opensymphony.module.sitemesh.mapper

Classes in com.opensymphony.module.sitemesh.mapper that implement DecoratorMapper
Modifier and Type
Class
Description
`class`
`AbstractDecoratorMapper`
Abstract DecoratorMapper implementation for easy creation of new DecoratorMappers.
`class`
`AgentDecoratorMapper`
The AgentDecoratorMapper can determine the user-agent (i.e.
`class`
`ConfigDecoratorMapper`
Default implementation of DecoratorMapper.
`class`
`CookieDecoratorMapper`
The CookieDecoratorMapper will map a suitable decorator based on a cookie value.
`class`
`EnvEntryDecoratorMapper`
The EnvEntryDecoratorMapper allows the reference to a web-app environment entry for the decorator name, and falls back to ConfigDecoratorMapper's behavior if no matching environment entry is found.
`class`
`FileDecoratorMapper`
The FileDecoratorMapper will treat the name of the decorator as a file-name to use (in the context of the web-app).
`class`
`FrameSetDecoratorMapper`
The FrameSetDecoratorMapper will use the specified decorator when the Page is an instance of `HTMLPage` and `isFrameSet()` returns true.
`class`
`InlineDecoratorMapper`
The InlineDecoratorMapper is used to determine the correct Decorator when using inline decorators.
`class`
`LanguageDecoratorMapper`
The LanguageDecoratorMapper can determine the preferred language set in the browser requesting a page, and map to a suitable Decorator (using the "Accept-Language" HTTP header).
`class`
`NullDecoratorMapper`
The NullDecoratorMapper represents the top-level DecoratorMapper that is finally delegated to if no other DecoratorMapper has intervened.
`class`
`OSDecoratorMapper`
The OSDecoratorMapper will map a suitable decorator based on the operating system of the remote client.
`class`
`PageDecoratorMapper`
The PageDecoratorMapper allows the actual Page to determine the Decorator to be used.
`class`
`ParameterDecoratorMapper`
The ParameterDecoratorMapper will map a suitable decorator based on request parameters.
`class`
`PrintableDecoratorMapper`
The PrintableDecoratorMapper is a sample DecoratorMapper that will check to see whether 'printable=true' is supplied as a request parameter and if so, use the specified decorator instead.
`class`
`RobotDecoratorMapper`
The RobotDecoratorMapper will use the specified decorator when the requester is identified as a robot (also known as spider, crawler, ferret) of a search engine.
`class`
`SessionDecoratorMapper`
Will look at a session attribute to find the name of an appropriate decorator to use.
Fields in com.opensymphony.module.sitemesh.mapper declared as DecoratorMapper
Modifier and Type
Field
Description
`protected DecoratorMapper`
AbstractDecoratorMapper.`parent`
Parent DecoratorMapper.
Methods in com.opensymphony.module.sitemesh.mapper with parameters of type DecoratorMapper
Modifier and Type
Method
Description
`void`
AbstractDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Set parent.
`void`
AgentDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
ConfigDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Create new ConfigLoader using '/WEB-INF/decorators.xml' file.
`void`
CookieDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
FrameSetDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
LanguageDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
NullDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Does nothing.
`void`
OSDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
Init initializes the OSDecoratorMapper object by setting the parent DecoratorMapper, and loading the initialization properties.
`void`
PageDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
ParameterDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
PrintableDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
RobotDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`
`void`
SessionDecoratorMapper.`init(Config config, Properties properties, DecoratorMapper parent)`

## Uses of DecoratorMapper in com.opensymphony.module.sitemesh.taglib.page

Fields in com.opensymphony.module.sitemesh.taglib.page declared as DecoratorMapper
Modifier and Type
Field
Description
`private DecoratorMapper`
ApplyDecoratorTag.`decoratorMapper`

## Uses of DecoratorMapper in com.opensymphony.module.sitemesh.velocity

Methods in com.opensymphony.module.sitemesh.velocity that return DecoratorMapper
Modifier and Type
Method
Description
`private DecoratorMapper`
VelocityDecoratorServlet.`getDecoratorMapper()`

## Uses of DecoratorMapper in com.opensymphony.sitemesh.compatability

Fields in com.opensymphony.sitemesh.compatability declared as DecoratorMapper
Modifier and Type
Field
Description
`private final DecoratorMapper`
DecoratorMapper2DecoratorSelector.`decoratorMapper`
Constructors in com.opensymphony.sitemesh.compatability with parameters of type DecoratorMapper
Modifier
Constructor
Description
``
`DecoratorMapper2DecoratorSelector(DecoratorMapper decoratorMapper)`